﻿@model Appointments.Entities.Appointment

@{
    ViewBag.Title = "Edit";
    List<object> patientsList = ViewBag.patientsList;
    List<object> doctorsList = ViewBag.doctorsList;
    string name = ViewBag.name;
}

<h2>Edit</h2>


@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()
    
    <div class="form-horizontal">
        <h4>Appointment</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        @Html.HiddenFor(model => model.ID)

        <div class="form-group">
            <div class="col-md-10">
                @Html.Label(name)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.DoctorID, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
                @Html.DropDownListFor(model => model.DoctorID, new SelectList(
      doctorsList,
       "id",
       "name", new
       {
           id = 1
       }))
                @Html.ValidationMessageFor(model => model.DoctorID, "", new
           {
               @class = "text-danger"
           })
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
                @Html.Label(Model.Description)
            </div>
        </div>
        <div class="form-group">
            @Html.LabelFor(model => model.Diagnosis, htmlAttributes: new
       {
           @class = "control-label col-md-2"
       })
            <div class="col-md-10">
                @Html.TextAreaFor(model => model.Diagnosis, new
   {
       cols = 35,
       rows = 3
   })
                @Html.ValidationMessageFor(model => model.Diagnosis, "", new
           {
               @class = "text-danger"
           })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Save" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}
